# Snapshot report for `tests/eslint.js`

The actual snapshot is saved in `eslint.js.snap`.

Generated by [AVA](https://avajs.dev).

## eslintConfig

> Should sort `eslintConfig` as object.

    {
      input: `{␊
        "eslintConfig": {␊
          "z": "z",␊
          "env": "env",␊
          "parser": "parser",␊
          "parserOptions": "parserOptions",␊
          "settings": "settings",␊
          "plugins": "plugins",␊
          "extends": "extends",␊
          "rules": "rules",␊
          "overrides": "overrides",␊
          "globals": "globals",␊
          "processor": "processor",␊
          "noInlineConfig": "noInlineConfig",␊
          "reportUnusedDisableDirectives": "reportUnusedDisableDirectives",␊
          "a": "a"␊
        }␊
      }`,
      options: undefined,
      output: `{␊
        "eslintConfig": {␊
          "env": "env",␊
          "parser": "parser",␊
          "parserOptions": "parserOptions",␊
          "settings": "settings",␊
          "plugins": "plugins",␊
          "extends": "extends",␊
          "rules": "rules",␊
          "overrides": "overrides",␊
          "globals": "globals",␊
          "processor": "processor",␊
          "noInlineConfig": "noInlineConfig",␊
          "reportUnusedDisableDirectives": "reportUnusedDisableDirectives",␊
          "a": "a",␊
          "z": "z"␊
        }␊
      }`,
      pretty: true,
    }

## eslintConfig.rules

> Should sort `eslintConfig.rules` as object.

    {
      input: `{␊
        "eslintConfig": {␊
          "rules": {␊
            "z": "z",␊
            "unknown-plugin/depth-1/depth-2": "unknown-plugin/depth-1/depth-2",␊
            "unicorn/new-for-builtins": "unicorn/new-for-builtins",␊
            "unicorn/prefer-includes": "unicorn/prefer-includes",␊
            "for-direction": "for-direction",␊
            "array-callback-return": "array-callback-return",␊
            "yoda": "yoda",␊
            "prettier/prettier": "prettier/prettier",␊
            "react/display-name": "react/display-name",␊
            "react/jsx-key": "react/jsx-key",␊
            "a": "a"␊
          }␊
        }␊
      }`,
      options: undefined,
      output: `{␊
        "eslintConfig": {␊
          "rules": {␊
            "a": "a",␊
            "array-callback-return": "array-callback-return",␊
            "for-direction": "for-direction",␊
            "yoda": "yoda",␊
            "z": "z",␊
            "prettier/prettier": "prettier/prettier",␊
            "react/display-name": "react/display-name",␊
            "react/jsx-key": "react/jsx-key",␊
            "unicorn/new-for-builtins": "unicorn/new-for-builtins",␊
            "unicorn/prefer-includes": "unicorn/prefer-includes",␊
            "unknown-plugin/depth-1/depth-2": "unknown-plugin/depth-1/depth-2"␊
          }␊
        }␊
      }`,
      pretty: true,
    }

## eslintConfig.override[]

> Should sort `eslintConfig.override[]` same as `eslintConfig`

    `{␊
      "eslintConfig": {␊
        "overrides": [␊
          {␊
            "files": "*.js",␊
            "excludedFiles": "*.exclude.js",␊
            "env": "env",␊
            "parser": "parser",␊
            "parserOptions": "parserOptions",␊
            "settings": "settings",␊
            "plugins": "plugins",␊
            "extends": "extends",␊
            "rules": "rules",␊
            "overrides": "overrides",␊
            "globals": "globals",␊
            "processor": "processor",␊
            "noInlineConfig": "noInlineConfig",␊
            "reportUnusedDisableDirectives": "reportUnusedDisableDirectives",␊
            "_": "this should still be the first element"␊
          },␊
          {␊
            "files": "*.js",␊
            "excludedFiles": "*.exclude.js",␊
            "env": "env",␊
            "parser": "parser",␊
            "parserOptions": "parserOptions",␊
            "settings": "settings",␊
            "plugins": "plugins",␊
            "extends": "extends",␊
            "rules": "rules",␊
            "overrides": "overrides",␊
            "globals": "globals",␊
            "processor": "processor",␊
            "noInlineConfig": "noInlineConfig",␊
            "reportUnusedDisableDirectives": "reportUnusedDisableDirectives",␊
            "_": "this should still be the second element"␊
          }␊
        ]␊
      }␊
    }`
